<?php

/**

* A unique identifier is defined to store the options in the database and reference them from the theme.

* By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.

* If the identifier changes, it'll appear as if the options have been reset.

*/

function optionsframework_option_name() {

	global $shortname;

	global $themename;

	// This gets the theme name from the stylesheet

	$themename = get_option( 'stylesheet' );

	$themename = preg_replace("/\W/", "_", strtolower($themename) );

	$optionsframework_settings = get_option( 'optionsframework' );

	$optionsframework_settings['id'] = $themename;

	update_option( 'optionsframework', $optionsframework_settings );

}

/**

* Defines an array of options that will be used to generate the settings page and be saved in the database.

* When creating the 'id' fields, make sure to use all lowercase and no spaces.

*

* If you are making your theme translatable, you should replace 'bizstudio-lite'

* with the actual text domain for your theme.  Read more:

* http://codex.wordpress.org/Function_Reference/load_theme_textdomain

*/

function optionsframework_options() {

global $shortname;

global $themename;

// Background Defaults

$background_style = array(

	'color' => '',

	'image' => '',

	'repeat' => 'repeat',

	'position' => 'top center',

	'attachment'=>'scroll' );

//Feed Icon

$feed_icon_array = array(

	'true' => __('Yes', 'bizstudio-lite'),

	'false' => __('No', 'bizstudio-lite')

);

//mode_test_array

$mode_test_array = array(

	'fade' => __('Fade', 'bizstudio-lite'),

	'slide' => __('Slide', 'bizstudio-lite')

);

//showcontrols_test_array

$showcontrols_test_array = array(

	'true' => __('Enable', 'bizstudio-lite'),

	'false' => __('Disable', 'bizstudio-lite')

);

//showmarkers_array

$showmarkers_array = array(

	'true' => __('Enable', 'bizstudio-lite'),

	'false' => __('Disable', 'bizstudio-lite')

);

//usecaptions_array

$direction_array = array(

	'horizontal' => __('Horizontal', 'bizstudio-lite'),

	'vertical' => __('Vertical', 'bizstudio-lite')

);

// pagination

$test_pagiarray = array(

	1 => __('Enable', 'bizstudio-lite'),

	0 => __('Disable', 'bizstudio-lite')

);

// rss_feed_icon

$test_rss_feed_icon = array(

	1 => __('Yes', 'bizstudio-lite'),

	0 => __('No', 'bizstudio-lite')

);

//radio_array

$radio_array = array(

	'true' => __('Show', 'bizstudio-lite'),

	'false' => __('Hide', 'bizstudio-lite')

);

//radiothird_array

$radiothird_array = array(

	'true' => __('Show', 'bizstudio-lite'),

	'false' => __('Hide', 'bizstudio-lite')

);

//latp_array

$latp_array = array(

	'true' => __('Show', 'bizstudio-lite'),

	'false' => __('Hide', 'bizstudio-lite')

);

//Front page layout Show/hide
	$frontpagelayout_array = array(
		'true' => __('Static Layout', 'bizstudio-lite'),
		'false' => __('Custom Layout', 'bizstudio-lite')
	);

// Pull all the categories into an array

$options_categories = array();

$options_categories_obj = get_categories();

foreach ($options_categories_obj as $category) {

	$options_categories[$category->cat_ID] = $category->cat_name;

}

// Pull all tags into an array

$options_tags = array();

$options_tags_obj = get_tags();

foreach ( $options_tags_obj as $tag ) {

	$options_tags[$tag->term_id] = $tag->name;

}

// Pull all the pages into an array

$options_pages = array();

$options_pages_obj = get_pages('sort_column=post_parent,menu_order');

$options_pages[''] = 'Select a page:';

foreach ($options_pages_obj as $page) {

	$options_pages[$page->ID] = $page->post_title;

}

// set pages

$options_pages = array();

$options_pages_obj = get_pages('sort_column=post_parent,menu_order');

$options_pages[''] = 'Select a page:';

foreach ($options_pages_obj as $page) {

	$options_pages[$page->ID] = $page->post_title;

}

// If using image radio buttons, define a directory path

$imagepath =  get_template_directory_uri() . '/images/';

$options = array();

//General Settings

$options[] = array(

	'name' => __('General Settings', 'bizstudio-lite'),

	'type' => 'heading');

$options[] = array(

	'name' => __('Custom Logo :', 'bizstudio-lite'),

	'desc' => __('Choose your own logo for your site. Size: Width 255px and Height 91px.', 'bizstudio-lite'),

	'id' => $shortname.'_logo_img',

	'std' => '',

	'type' => 'upload');

$options[] = array(

	'name' => __('Logo Alt Text :', 'bizstudio-lite'),

	'desc' => __('Enter alternate text for logo.', 'bizstudio-lite'),

	'id' => $shortname.'_logo_alt',

	'std' => '',

	'type' => 'text');

$options[] = array(

	'name' => __('Custom favicon :', 'bizstudio-lite'),

	'desc' => __('Choose a custom favicon for your site. Size: Width:16px and Height:16px.', 'bizstudio-lite'),

	'id' => $shortname.'_favicon',

	'std' => '',

	'type' => 'upload');

$options[] = array(

	'name' => __('Custom Pagination:', 'bizstudio-lite'),

	'desc' => __('Choose enable to show custom pagination on blog page.', 'bizstudio-lite'),

	'id' => $shortname.'_show_pagination',

	'std' => 'Enable',

	'type' => 'select',

	'class' => 'small', //mini, tiny, small

	'options' => $test_pagiarray);

//Bg style

$options[] = array(
	'name' =>  __('Custom Background:', 'bizstudio-lite'),
	'desc' => __('Choose background color/image for your site.', 'bizstudio-lite'),
	'id' => $shortname.'_bg_style',
	'std' => $background_style,
	'type' => 'background' );

	
	//Front Page Options	
$options[] = array(
	'name' => __('Front Page Options', 'bizstudio-lite'),
	'type' => 'heading');

$options[] = array(
			'name' => __('Select Your Front Page Layout.', 'bizstudio-lite'),
			'desc' => __('if you select Static layout for front page your selected page content is show otherwise custom front page layout show.', 'bizstudio-lite'),
			'id' => $shortname.'_hide_frontlayout',
			'std' => 'true',
			'type' => 'radio',
			'options' => $frontpagelayout_array);	

$options[] = array(
	'name' => __('Front Page Heading Text:', 'bizstudio-lite'),
	'desc' => __('Enter heading text for front page.', 'bizstudio-lite'),
	'id' => $shortname.'_mid_sidebar_text',
	'std' => 'A Multipurpose, Responsive WordPress Theme with Fullwidth BG.',
	'type' => 'textarea');

	//Featured Area 1
$options[] = array(
	'name' => __('First Featured Box Heading:', 'bizstudio-lite'),
	'desc' => __('Enter first featured box heading.', 'bizstudio-lite'),
	'id' => $shortname.'_fb1_heading',
	'std' => 'Creative',
	'type' => 'text');
$options[] = array(
	'name' => __('First Featured Box Icon', 'bizstudio-lite'),
	'desc' => __('Choose image for first featured area. Size: Width 189px and Height 189px.', 'bizstudio-lite'),
	'id' => $shortname.'_fb1_icon',
	'std' => $imagepath.'wPimage-creative.png',
	'type' => 'upload');
$options[] = array(
	'name' => __('First Featured Box Content:', 'bizstudio-lite'),
	'desc' => __('Enter first featured box content.','bizstudio-lite'),
	'id' => $shortname.'_fb1_content',
	'std' => 'We have the most talented people in house that are excited to start with your new project. It&#39;s the drive that makes them creative.',
	'type' => 'textarea');
$options[] = array(
	'name' => __('Featured Box 1 Link:', 'bizstudio'),
	'desc' => __('Enter Featured Box 1 Link.', 'bizstudio'),
	'id' => $shortname.'_fb1_link',
	'std' => '#',
	'type' => 'text');

$options[] = array(
	'name' => __('Second Featured Box Heading:', 'bizstudio-lite'),
	'desc' => __('Enter second featured box heading.', 'bizstudio-lite'),
	'id' => $shortname.'_fb2_heading',
	'std' => 'Multipurpose',
	'type' => 'text');
$options[] = array(
	'name' => __('Second Featured Box Icon', 'bizstudio-lite'),
	'desc' => __('Choose image for second featured area. Size: Width 189px and Height 189px.', 'bizstudio-lite'),
	'id' => $shortname.'_fb2_icon',
	'std' => $imagepath.'wPimage-multipurpose.png',
	'type' => 'upload');
$options[] = array(
	'name' => __('Second Featured Box Content:', 'bizstudio-lite'),
	'desc' => __('Enter second featured box content.','bizstudio-lite'),
	'id' => $shortname.'_fb2_content',
	'std' => 'We have the most talented people in house that are excited to start with your new project. It&#39;s the drive that makes them creative.',
	'type' => 'textarea');
$options[] = array(
	'name' => __('Featured Box 2 Link:', 'bizstudio'),
	'desc' => __('Enter Featured Box 2 Link.', 'bizstudio'),
	'id' => $shortname.'_fb2_link',
	'std' => '#',
	'type' => 'text');

$options[] = array(
	'name' => __('Third  Featured Box Heading:', 'bizstudio-lite'),
	'desc' => __('Enter third featured box heading.', 'bizstudio-lite'),
	'id' => $shortname.'_fb3_heading',
	'std' => 'Responsive',
	'type' => 'text');
$options[] = array(
	'name' => __('Third Featured Box Icon', 'bizstudio-lite'),
	'desc' => __('Choose image for third featured area. Size: Width 189px and Height 189px.', 'bizstudio-lite'),
	'id' => $shortname.'_fb3_icon',
	'std' => $imagepath.'wPimage-responsive.png',
	'type' => 'upload');
$options[] = array(
	'name' => __('Third Featured Box Content:', 'bizstudio-lite'),
	'desc' => __('Enter third featured box content.','bizstudio-lite'),
	'id' => $shortname.'_fb3_content',
	'std' => 'We have the most talented people in house that are excited to start with your new project. It&#39;s the drive that makes them creative.',
	'type' => 'textarea');
$options[] = array(
	'name' => __('Featured Box 3 Link:', 'bizstudio'),
	'desc' => __('Enter Featured Box 3 Link.', 'bizstudio'),
	'id' => $shortname.'_fb3_link',
	'std' => '#',
	'type' => 'text');

//Main Box
$options[] = array(
	'name' => __('Main Box Heading:', 'bizstudio-lite'),
	'desc' => __('Enter Main Box Heading.', 'bizstudio-lite'),
	'id' => $shortname.'_main_heading',
	'std' => 'Welcome To Our Website!',
	'type' => 'text');
	
$options[] = array(
	'name' => __('Main Box content', 'bizstudio-lite'),
	'desc' => __('Main Box content', 'bizstudio-lite'),
	'id' => $shortname.'_main_content',
	'std' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed enim erat, fringilla et dignissim et, sollicitudin ut sem. Fusce sit amet massa mi, id hendrerit quam. Donec vulputate tincidunt turpis eget varius. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed enim erat, fringilla et dignissim et, sollicitudin ut sem. Fusce sit amet massa mi, id hendrerit quam. Donec vulputate tincidunt turpis eget varius.',
	'type' => 'textarea');

//recent-post
$options[] = array(
	'name' => __('First Recent Box Heading:', 'bizstudio-lite'),
	'desc' => __('Enter First Recent Box Heading.', 'bizstudio-lite'),
	'id' => $shortname.'_rp1_heading',
	'std' => 'Bespoke Development',
	'type' => 'text');

$options[] = array(
	'name' => __('First Recent Box Icon', 'bizstudio-lite'),
	'desc' => __('Choose image for first featured area. Size: Width 255px and Height 149px.', 'bizstudio-lite'),
	'id' => $shortname.'_rp1_icon',
	'std' => $imagepath.'post-image.jpg',
	'type' => 'upload');

$options[] = array(

	'name' => __('First Recent Box Content:', 'bizstudio-lite'),
	'desc' => __('Enter First Recent Box Content.','bizstudio-lite'),
	'id' => $shortname.'_rp1_content',
	'std' => 'Duis sed tempus ante. Sed sollic itudin lacus vitae eros semper semper ac scelerisque nisl. Maecenas tortor lectus,...',
	'type' => 'textarea');

$options[] = array(
	'name' => __('Second Recent Box Heading:', 'bizstudio-lite'),
	'desc' => __('Enter Second Recent Box Heading.', 'bizstudio-lite'),
	'id' => $shortname.'_rp2_heading',
	'std' => 'Tailored Solutions',
	'type' => 'text');

$options[] = array(
	'name' => __('Second Recent Box Icon', 'bizstudio-lite'),
	'desc' => __('Choose image for second featured area. Size: Width 255px and Height 149px.', 'bizstudio-lite'),
	'id' => $shortname.'_rp2_icon',
	'std' => $imagepath.'water-165219_640.jpg',
	'type' => 'upload');

$options[] = array(
	'name' => __('Second Recent Box Content:', 'bizstudio-lite'),
	'desc' => __('Enter second recent box content.','bizstudio-lite'),
	'id' => $shortname.'_rp2_content',
	'std' => 'Duis sed tempus ante. Sed sollic itudin lacus vitae eros semper semper ac scelerisque nisl. Maecenas tortor lectus,...',
	'type' => 'textarea');

$options[] = array(
	'name' => __('Third Recent Box Heading:', 'bizstudio-lite'),
	'desc' => __('Enter third recent box heading.', 'bizstudio-lite'),
	'id' => $shortname.'_rp3_heading',
	'std' => 'Elegant Business Model',
	'type' => 'text');

$options[] = array(
	'name' => __('Third Recent Box Icon', 'bizstudio-lite'),
	'desc' => __('Choose image for third featured area. Size: Width 255px and Height 149px.', 'bizstudio-lite'),
	'id' => $shortname.'_rp3_icon',
	'std' => $imagepath.'blue-69764_640.jpg',
	'type' => 'upload');

$options[] = array(
	'name' => __('Third Recent Box Content:', 'bizstudio-lite'),
	'desc' => __('Enter third recent box content.','bizstudio-lite'),
	'id' => $shortname.'_rp3_content',
	'std' => 'Duis sed tempus ante. Sed sollic itudin lacus vitae eros semper semper ac scelerisque nisl. Maecenas tortor lectus,...',
	'type' => 'textarea');

// jcarousel

$options[] = array(
	'name' => __('First Client Logo Image Title:', 'bizstudio-lite'),
	'desc' => __('Enter first client logo image title.', 'bizstudio-lite'),
	'id' => $shortname.'_img1_title',
	'std' => '',
	'type' => 'text');

$options[] = array(
	'name' => __('First Client Logo Image:', 'bizstudio-lite'),
	'desc' => __('Choose image for first client logo area. Size: Width 185px and Height 53px.', 'bizstudio-lite'),
	'id' => $shortname.'_img1_icon',
	'type' => 'upload');

$options[] = array(
	'name' => __('Second Client Logo Image Title:', 'bizstudio-lite'),
	'desc' => __('Enter second client logo image title.', 'bizstudio-lite'),
	'id' => $shortname.'_img2_title',
	'std' => '',
	'type' => 'text');

$options[] = array(
	'name' => __('Second Client Logo Image:', 'bizstudio-lite'),
	'desc' => __('Choose image for second client logo area. Size: Width 185px and Height 53px.', 'bizstudio-lite'),
	'id' => $shortname.'_img2_icon',
	'type' => 'upload');

$options[] = array(
	'name' => __('Third Client Logo Image Title:', 'bizstudio-lite'),
	'desc' => __('Enter third client logo image title.', 'bizstudio-lite'),
	'id' => $shortname.'_img3_title',
	'std' => '',
	'type' => 'text');

$options[] = array(
	'name' => __('Third Client Logo Image:', 'bizstudio-lite'),
	'desc' => __('Choose image for third client logo area. Size: Width 185px and Height 53px.', 'bizstudio-lite'),
	'id' => $shortname.'_img3_icon',
	'type' => 'upload');

$options[] = array(
	'name' => __('Fourth Client Logo Image Title:', 'bizstudio-lite'),
	'desc' => __('Enter fourth client logo image title.', 'bizstudio-lite'),
	'id' => $shortname.'_img4_title',
	'std' => '',
	'type' => 'text');

$options[] = array(
	'name' => __('Fourth Client Logo Image:', 'bizstudio-lite'),
	'desc' => __('Choose image for fourth client logo area. Size: Width 185px and Height 53px.', 'bizstudio-lite'),
	'id' => $shortname.'_img4_icon',
	'type' => 'upload');

$options[] = array(
	'name' => __('Fifth Client Logo Image Title:', 'bizstudio-lite'),
	'desc' => __('Enter fifth client logo image title.', 'bizstudio-lite'),
	'id' => $shortname.'_img5_title',
	'std' => '',
	'type' => 'text');

$options[] = array(
	'name' => __('Fifth Client Logo Image:', 'bizstudio-lite'),
	'desc' => __('Choose image for fifth client logo area. Size: Width 185px and Height 53px.', 'bizstudio-lite'),
	'id' => $shortname.'_img5_icon',
	'type' => 'upload');
	
//Slider Setting
$options[] = array(
	'name' => __('Slider Configuration', 'bizstudio-lite'),
	'type' => 'heading');

$options[] = array(
			'name' => __('Upload First Slide Image:', 'bizstudio-lite'),
			'desc' => __('Choose image for front page slider. Size: Width 940px and Height 450px.', 'bizstudio-lite'),
			'id' => $shortname.'_slider_img1',
			'std' => $imagepath.'beach-15689_1280.jpg',
			'type' => 'upload');

$options[] = array(
			'name' => __('Enter Content For First Slide:', 'bizstudio-lite'),
			'desc' => __('Enter content for first slide.', 'bizstudio-lite'),
			'id' => $shortname.'_content_slider1',
			'std' => "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy",
			'type' => 'textarea');

$options[] = array(
			'name' => __('Enter First Slide Link:', 'bizstudio-lite'),
			'desc' => __('Enter first slide link.', 'bizstudio-lite'),
			'id' => $shortname.'_slider_link1',
			'std' => '#',
			'type' => 'text');

$options[] = array(
			'name' => __('Upload Second Slide Image:', 'bizstudio-lite'),
			'desc' => __('Choose image for front page slider. Size: Width 800px and Height 500px.', 'bizstudio-lite'),
			'id' => $shortname.'_slider_img2',
			'std' => $imagepath.'mother-84628_1280.jpg',
			'type' => 'upload');

$options[] = array(
			'name' => __('Enter Content For Second Slide:', 'bizstudio-lite'),
			'desc' => __('Enter content for second slide.', 'bizstudio-lite'),
			'id' => $shortname.'_content_slider2',
			'std' => "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy",
			'type' => 'textarea');
		

$options[] = array(
			'name' => __('Enter Second Slider Link.', 'bizstudio-lite'),
			'desc' => __('Enter second slide link.', 'bizstudio-lite'),
			'id' => $shortname.'_slider_link2',
			'std' => '#',
			'type' => 'text');

$options[] = array(
			'name' => __('Upload Third Slide Image:', 'bizstudio-lite'),
			'desc' => __('Choose image for front page slider. Size: Width 800px and Height 500px.', 'bizstudio-lite'),
			'id' => $shortname.'_slider_img3',
			'std' => $imagepath.'accessories-84528_1280.jpg',
			'type' => 'upload');

$options[] = array(
			'name' => __('Enter Content For Third Slide:', 'bizstudio-lite'),
			'desc' => __('Enter content for third slide.', 'bizstudio-lite'),
			'id' => $shortname.'_content_slider3',
			'std' => "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy",
			'type' => 'textarea');
			

$options[] = array(
			'name' => __('Enter Third Slider Link.', 'bizstudio-lite'),
			'desc' => __('Enter third slide link.', 'bizstudio-lite'),
			'id' => $shortname.'_slider_link3',
			'std' => '#',
			'type' => 'text');

$options[] = array(
	'name' => __('Slider Transition :', 'bizstudio-lite'),
	'desc' => __('Choose transition effect for front page slider.', 'bizstudio-lite'),
	'id' => $shortname.'_mode_select',
	'std' => 'fade',
	'type' => 'select',
	'class' => 'small', //mini, tiny, small
	'options' => $mode_test_array);

$options[] = array(
	'name' => __('Slide Direction:', 'bizstudio-lite'),
	'desc' => __('Select the sliding direction, "horizontal" or "vertical".', 'bizstudio-lite'),
	'id' =>  $shortname.'_direction',
	'std' => 'horizontal',
	'type' => 'select',
	'class' => 'small', //mini, tiny, small
	'options' => $direction_array);

$options[] = array(
	'name' => __('Animation Duration:', 'bizstudio-lite'),
	'desc' => __('Enter slider animation duration in ms(mili second).how fast the animation are.', 'bizstudio-lite'),
	'id' => $shortname.'_animduration',
	'std' => '450',
	'type' => 'text');

$options[] = array(
	'name' => __('Animation Speed', 'bizstudio-lite'),
	'desc' => __('Enter slider animation speed in ms(mili second).The delay between each slide.', 'bizstudio-lite'),
	'id' => $shortname.'_animspeed',
	'std' => '4000',
	'type' => 'text');

$options[] = array(
	'name' => __('Slider Navigation :', 'bizstudio-lite'),
	'desc' => __('Choose enable to show slider navigation.', 'bizstudio-lite'),
	'id' => $shortname.'_showcontrols',
	'std' => 'true',
	'type' => 'select',
	'class' => 'small', //mini, tiny, small
	'options' => $showcontrols_test_array);

$options[] = array(
	'name' => __('Slider Pagination :', 'bizstudio-lite'),
	'desc' => __('Choose enable to show slider Pagination.', 'bizstudio-lite'),
	'id' => $shortname.'_showmarkers',
	'std' => 'true',
	'type' => 'select',
	'class' => 'small', //mini, tiny, small
	'options' => $showmarkers_array);

//Footer	
$options[] = array(
	'name' => __('Footer', 'bizstudio-lite'),
	'type' => 'heading');

$options[] = array(
	'name' => __('Footer Copyright Text', 'bizstudio-lite'),
	'desc' => __('Enter your copyright text here.', 'bizstudio-lite'),
	'id' => $shortname.'_copyright',
	'std' => 'Your &copy; copyright text here.',
	'type' => 'textarea');

return $options;

}

/*

* This is an example of how to add custom scripts to the options panel.

* This example shows/hides an option when a checkbox is clicked.

*/

add_action('optionsframework_custom_scripts', 'optionsframework_custom_scripts');

function optionsframework_custom_scripts() { ?>
<script type="text/javascript">

	jQuery(document).ready(function($) {

		$('#example_showhidden').click(function() {

		$('#section-example_text_hidden').fadeToggle(400);

		});

		if ($('#example_showhidden:checked').val() !== undefined) {

			$('#section-example_text_hidden').show();

		}

	});

</script>
<?php

}